SLABTOP(1)

NAME
slabtop - display kernel slab cache information in real time

SYNOPSIS
slabtop [ options ]

DESCRIPTION
slabtop(1) displays detailed kernel slab cache information in real time. It displays a listing of the top caches sorted by one of the listed sort criteria. It also displays a statistics header filled with slab layer information.

OPTIONS
Normal invocation of slabtop(1) does not require any options. The behavior, however, can be fine-tuned by specifying one or more of the following flags:

--delay=n, -d n
    Refresh the display every n seconds. By default, slabtop(1) refreshes the display every three seconds. To exit the program, hit q.

--sort=S, -s S
    Sort by S, where S is one of the sort criteria.

--once, -o
    Display the output once and then exit.

--version, -V
    Display version information and exit.

--help
    Display usage information and exit.

SORT CRITERIA
The following are valid sort criteria used to sort the individual slab caches and thereby determine what are the "top" slab caches to display. The default sort criteria is to sort by the number of objects ("o"). The sort criteria can also be changed while slabtop is running by pressing the associated character.

a:  sort by number of active objects

b:  sort by objects per slab

c:  sort by cache size

l:  sort by number of slabs

v   sort by number of active slabs

n:  sort by name

o:  sort by number of objects

p:  sort by pages per slab

s:  sort by object size

u:  sort by cache utilization

COMMANDS
slabtop(1) accepts keyboard commands from the user during use. The following are supported. In the case of letters, both cases are accepted. Each of the valid sort characters are also accepted, to change the sort routine. See the section SORT CRITERIA.

<SPACEBAR>
    Refresh the screen.

Q   Quit the program.

FILES
/proc/slabinfo -- slab information

SEE ALSO
free(1), ps(1), top(1), vmstat(8)

NOTES
Currently, slabtop(1) requires a 2.4 or later kernel (specifically, a version 1.1 or later /proc/slabinfo). Kernel 2.2 should be supported in the future.

AUTHORS
Written by Chris Rivera and Robert Love. slabtop(1) was inspired by Martin Bligh's perl script, vmtop. The procps package is maintained by Robert Love and was created by Michael Johnson. Send bug reports to <procps-list@redhat.com>.